<?php
/* -----------------------------------------------------------------------------
  Plugin     : Advanced Search Engine
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

include_once('ase_version.inc.php'); // => Don't forget to update this file !!


if(!defined('ASE_DIR')) define('ASE_DIR' , basename(dirname(__FILE__)));
if(!defined('ASE_PATH')) define('ASE_PATH' , PHPWG_PLUGINS_PATH . ASE_DIR . '/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

global $gpcInstalled, $lang; //needed for plugin manager compatibility

/* -----------------------------------------------------------------------------
ASE needs the Grum Plugin Classes
----------------------------------------------------------------------------- */
$gpcInstalled=false;
if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
{
  @include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
  if(CommonPlugin::checkGPCRelease(ASE_GPC_NEEDED))
  {
    @include_once('ase_install.class.inc.php');
    $gpcInstalled=true;
  }
}

function gpcMsgError(&$errors)
{
  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), ASE_GPC_NEEDED);
  if(is_array($errors))
  {
    array_push($errors, $msg);
  }
  else
  {
    $errors=Array($msg);
  }
}
// -----------------------------------------------------------------------------




load_language('plugin.lang', ASE_PATH);


function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;
  if(!$gpcInstalled)
  {
    gpcMsgError($errors, 'gpc');
    return(false);
  }

  $ase=new ASE_Install($prefixeTable, __FILE__);
  $result=$ase->install();
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;
  if($gpcInstalled)
  {
    $ase = new ASE_Install($prefixeTable, __FILE__);
    $result=$ase->activate();
  }
}

function plugin_deactivate($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $ase=new ASE_Install($prefixeTable, __FILE__);
    $ase->deactivate();
  }

}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpcInstalled;
  if($gpcInstalled)
  {
    $ase=new ASE_Install($prefixeTable, __FILE__);
    $result=$ase->uninstall();
  }
  else
  {
    gpcMsgError($errors, 'gpc');
  }
}


?>
